Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Polylinien Makro

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Polylinien Makro (191 mal gelesen)
Christian Mü.
Mitglied


Sehen Sie sich das Profil von Christian Mü. an!   Senden Sie eine Private Message an Christian Mü.  Schreiben Sie einen Gästebucheintrag für Christian Mü.

Beiträge: 4
Registriert: 13.03.2020

Speccs:
Windows 10 Pro
Intel(R) Core(TM) i7-8650U CPU @ 190GHz-2.11 GHz
16.0 GB Ram
GPU 0: Intel(R) UHD Graphics 620
GPU 1: NVIDIA GeForce GTX 1050

erstellt am: 18. Aug. 2020 17:41    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo liebe Community,
Hallo liebe Makro-Spezialisten  

Mein Vorhaben ist eigentlich recht einfach, ich weiß nur nicht ob es funktioniert.
Ich würde gerne eiun Makro schreiben welches mir erlaubt eine Polylinie mit 2mm breite und unendlich vielen Punkten zu zeichnen, und diese Polylinie dann automatisch anzufasen.

Vorgang wäre eben

1. pline
2. Startpunkt
3. Br(Breite)2 Anfangsbreite und 2 Endbreite
4. 2-3 weitere "Endpunkte>
5. Fase
6. p
7. auf die Polylinie klicken und fertig. (davon ausgehen das ich die Fasenlänge angebe, die hab ich jetzt ausgelassen.

Mein Problem ist das ich in meinen Makro nicht über Schritt 4 hinauskomme.

Mein Makro wäre

^C^C_pline;\br;2;2;\;

Ich habe verstanden das ein \ für einmal warten auf benutzereingabe steht, 2 \ stehen demnach für 2 mal warten, aber es muss doch eine möglichkeit geben das er mich solange Punkte hinzufügen lässt bis ich sage so und jetzt bitte den Befehl Fase.
Habe es mit * vor nach und anstatt dem letzten \ versucht aber autocad fragt mich dan nur was ich denn so für Zeugs rauche... (also es passiert nix)

Ich hoffe auf baldige antwort selbst wenn es heißt "Das geht leider nicht"
Ich hoffe ich hab mein Problem gut geschildert  


ps: der Grund wieso ich denn überhaupt so ein Makro haben möchte ist recht einfach, wir Zeichnen unsere Schmutzwasser-Schemata in Autocad und geben auch hier die 45°Schrägen an um Mediums-Fluss darzustellen.
 
Ach und sollte schon ein Eintrag vorhanden sein der mein Problem löst, dann verzeiht mir dann bin ich wohl zu blöd zum suchen, weil ich suche wirklich schon den ganzen Tag nach einer Lösung (heul)

[Diese Nachricht wurde von Christian Mü. am 18. Aug. 2020 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19972
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 18. Aug. 2020 17:59    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Christian Mü. 10 Unities + Antwort hilfreich

Hi,

Code:
Ich würde gerne eiun Makro schreiben welches mir erlaubt eine Polylinie mit 2mm breite und unendlich vielen Punkten zu zeichnen, und diese Polylinie dann automatisch anzufasen.
Das geht nicht da ein Makro alle Schritte kennen muß,
zwei Knöpfchen wäre daher die Lösung.

Zitat:
Vorgang wäre eben
1. pline
2. Startpunkt
3. Br(Breite)2 Anfangsbreite und 2 Endbreite
4. 2-3 weitere "Endpunkte>
5. Fase
6. p
7. auf die Polylinie klicken und fertig. (davon ausgehen das ich die Fasenlänge angebe, die hab ich jetzt ausgelassen.
Auf die Polylinie brauchst du nicht klicken denn es ist das zuletzt erstellt Objekt
und kann daher mit Objektwahlmethode LETZTES angesprochen werden.

Der Punkt4 ist das Problem, ohne Programmierung wird das nichts.

Als Anregung
(defun c:XX (/ LE NP)  ;;; Leerzeichen hinter c: entfernen
  (command "_PLINEWID" 2.0)
  (setq LE (entlast))
  (command "_.PLINE" PAUSE PAUSE)
  (While
    (setq NP (getpoint "\nNächst Punkt: "))
    (command NP)
  )
  (command "")
  (if (/= LE (entlast))(command "_.FILLET" "_p" "_last" ""))
  (princ)
)

CMDECHO wäre noch eine Anmerkung dazu,
aber richtig schön müßte man es anders anfangen.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP



Entwicklungsingenieur (m/w/d) Hybrid-/Elektrofahrzeuge
Neue Technologien. Vielfältige Projektfelder. In den unterschiedlichsten Branchen. Das alles finden Sie spannend? Das alles finden Sie bei uns. Denn FERCHAU steht für die ganze Welt des Engineerings - mit mehr als 8.400 Mitarbeitern an über 100 Niederlassungen und Standorten. Neben namhaften Kunden und anspruchsvollen Projekten bieten wir Ihnen als innovatives Traditionsunternehmen die Chance, Ihren Karriereweg durch Engagement und mit guten Ideen selbst zu bestimmen....
Anzeige ansehenEntwicklung
Christian Mü.
Mitglied


Sehen Sie sich das Profil von Christian Mü. an!   Senden Sie eine Private Message an Christian Mü.  Schreiben Sie einen Gästebucheintrag für Christian Mü.

Beiträge: 4
Registriert: 13.03.2020

Speccs:
Windows 10 Pro
Intel(R) Core(TM) i7-8650U CPU @ 190GHz-2.11 GHz
16.0 GB Ram
GPU 0: Intel(R) UHD Graphics 620
GPU 1: NVIDIA GeForce GTX 1050

erstellt am: 19. Aug. 2020 07:27    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Servus,

Dachte mir schon das es ohne Programm nicht funzt aber zuumindest bin ich jetzt etwas klüger, ich danke dir vielmals für die fixe und hilfreiche Antwort!!!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz